# Generated by Django 5.1.7 on 2025-03-18 10:10

import django.contrib.auth.models
import django.contrib.auth.validators
import django.core.validators
import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('username', models.CharField(error_messages={'unique': 'A user with that username already exists.'}, help_text='Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.', max_length=150, unique=True, validators=[django.contrib.auth.validators.UnicodeUsernameValidator()], verbose_name='username')),
                ('first_name', models.CharField(blank=True, max_length=150, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('nama', models.CharField(max_length=255, validators=[django.core.validators.RegexValidator('^[a-zA-Z0-9._-]+$', message='Nama hanya dapat diisi oleh huruf, angka, dan karakter ., _, dan -')])),
                ('password', models.CharField(max_length=255, validators=[django.core.validators.RegexValidator('^(?=.*?[A-Za-z])(?=.*?[0-9])(?=.*?[#?!@$%^&*-]).{8,}$', message='Password harus diisi oleh kombinasi huruf, angka, dan karakter spesial dengan panjang minimal 8')])),
                ('tanggal_lahir', models.DateField()),
                ('nomor_hp', models.CharField(max_length=15, validators=[django.core.validators.MinLengthValidator(8, message='Nomor HP memiliki panjang minimal 8'), django.core.validators.RegexValidator('^\\d+$', message='Nomor HP harus berupa angka, tanpa karakter + atau -')])),
                ('email', models.CharField(max_length=255, unique=True, validators=[django.core.validators.RegexValidator('^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\\.[a-zA-Z0-9-.]+$', message='Alamat email tidak valid!')])),
                ('url_blog', models.URLField(max_length=255, validators=[django.core.validators.RegexValidator('^(https?://)[\\w.-]+(?:\\.[\\w\\.-]+)+[/#?]?.*$', message='URL Blog tidak valid!')])),
                ('deskripsi_diri', models.TextField(validators=[django.core.validators.MinLengthValidator(5, message='Deskripsi diri minimal 5 karakter'), django.core.validators.MaxLengthValidator(1000, message='Deskripsi diri maksimal 1000 karakter')])),
                ('no_sim', models.CharField(max_length=16, validators=[django.core.validators.RegexValidator('^\\d{16}$', message='Nomor SIM harus terdiri dari 16 angka')])),
                ('no_plat', models.CharField(max_length=9, validators=[django.core.validators.RegexValidator('^[A-Za-z]{1,2}\\d{1,4}[A-Za-z]{0,3}$', message='Nomor Plat harus terdiri dari 1-2 huruf di awal, 1-4 angka di tengah, dan 0-3 huruf di akhir')])),
                ('groups', models.ManyToManyField(blank=True, related_name='form_regex_user_set', to='auth.group')),
                ('user_permissions', models.ManyToManyField(blank=True, related_name='form_regex_user_set', to='auth.permission')),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'users',
                'abstract': False,
            },
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
    ]
