from django.shortcuts import render
from .forms import UserForm

# Create your views here.
def user_form_view(request):
    if request.method == 'POST':
        form = UserForm(request.POST)
        if form.is_valid():
            sanitized_data = form.cleaned_data
            return render(request, 'display_user.html', {'data': sanitized_data})
    else:
        form = UserForm()
    return render(request, 'user_form.html', {'form': form})
